net.minecraft.world.chunk.storage

## Class AnvilChunkLoader

- java.lang.Object
- - net.minecraft.world.chunk.storage.AnvilChunkLoader

- All Implemented Interfaces:
    IChunkLoader, IThreadedFileIO

      public class AnvilChunkLoader
      extends java.lang.Object
      implements IChunkLoader, IThreadedFileIO

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.io.File` | `chunkSaveLocation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnvilChunkLoader(java.io.File par1File)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addChunkToPending(ChunkCoordIntPair par1ChunkCoordIntPair, NBTTagCompound par2NBTTagCompound)`
    `protected java.lang.Object[]` | `checkedReadChunkFromNBT__Async(World par1World, int par2, int par3, NBTTagCompound par4NBTTagCompound)`
    `protected Chunk` | `checkedReadChunkFromNBT(World par1World, int par2, int par3, NBTTagCompound par4NBTTagCompound)`
    `boolean` | `chunkExists(World world, int i, int j)`
    `void` | `chunkTick()`
    `java.lang.Object[]` | `loadChunk__Async(World par1World, int par2, int par3)`
    `Chunk` | `loadChunk(World par1World, int par2, int par3)`
    `void` | `loadEntities(World par1World, NBTTagCompound par2NBTTagCompound, Chunk chunk)`
    `void` | `saveChunk(World par1World, Chunk par2Chunk)`
    `void` | `saveExtraChunkData(World par1World, Chunk par2Chunk)`
    `void` | `saveExtraData()`
    `boolean` | `writeNextIO()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### chunkSaveLocation

          public final java.io.File chunkSaveLocation

  - ### Constructor Detail

    - #### AnvilChunkLoader

          public AnvilChunkLoader(java.io.File par1File)

  - ### Method Detail

    - #### chunkExists

          public boolean chunkExists(World world,
                            int i,
                            int j)

    - #### loadChunk

          public Chunk loadChunk(World par1World,
                        int par2,
                        int par3)
                          throws java.io.IOException

      Specified by:
        `loadChunk` in interface `IChunkLoader`
      Throws:
        `java.io.IOException`

    - #### loadChunk__Async

          public java.lang.Object[] loadChunk__Async(World par1World,
                                            int par2,
                                            int par3)
                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### checkedReadChunkFromNBT

          protected Chunk checkedReadChunkFromNBT(World par1World,
                                      int par2,
                                      int par3,
                                      NBTTagCompound par4NBTTagCompound)

    - #### checkedReadChunkFromNBT__Async

          protected java.lang.Object[] checkedReadChunkFromNBT__Async(World par1World,
                                                          int par2,
                                                          int par3,
                                                          NBTTagCompound par4NBTTagCompound)

    - #### saveChunk

          public void saveChunk(World par1World,
                       Chunk par2Chunk)
                         throws MinecraftException,
                                java.io.IOException

      Specified by:
        `saveChunk` in interface `IChunkLoader`
      Throws:
        `MinecraftException`
        `java.io.IOException`

    - #### addChunkToPending

          protected void addChunkToPending(ChunkCoordIntPair par1ChunkCoordIntPair,
                               NBTTagCompound par2NBTTagCompound)

    - #### writeNextIO

          public boolean writeNextIO()

      Specified by:
        `writeNextIO` in interface `IThreadedFileIO`

    - #### saveExtraChunkData

          public void saveExtraChunkData(World par1World,
                                Chunk par2Chunk)

      Specified by:
        `saveExtraChunkData` in interface `IChunkLoader`

    - #### chunkTick

          public void chunkTick()

      Specified by:
        `chunkTick` in interface `IChunkLoader`

    - #### saveExtraData

          public void saveExtraData()

      Specified by:
        `saveExtraData` in interface `IChunkLoader`

    - #### loadEntities

          public void loadEntities(World par1World,
                          NBTTagCompound par2NBTTagCompound,
                          Chunk chunk)